Bug 256561 - (CVE-2007-4542) CVE-2007-4542 Multiple XSS vulnerabilities in mapserver's CGI interface
CVE-2007-4542 Multiple XSS vulnerabilities in mapserver's CGI interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mapserver (Show other bugs)
7
All All
low Severity low
: ---
: ---
Assigned To: Oliver Falk
Fedora Extras Quality Assurance
http://trac.osgeo.org/mapserver/ticke...
: Reopened, Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 10:27 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 4.10.3-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 18:14:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-08-27 10:27:08 EDT
Description of problem:

Newly released Mapserver 4.10.3 fixes two vulnerabilities which could be
possibly exploited to conduct a Cross-Site Scripting attack against user who
would follow a link to malicious site while visiting a mapserver site.

Version-Release number of selected component (if applicable):

mapserver-4.10.2-4.fc7

Additional info:

See URL for upstream bug ticket and a patch. No CVE identifier is assigned to
this issue yet.
Comment 1 Lubomir Kundrak 2007-08-27 10:36:37 EDT
A CVE name  was requested.
Comment 2 Lubomir Kundrak 2007-08-28 05:26:39 EDT
Mitre assigned CVE-2007-4542 to this issue.
Comment 3 Oliver Falk 2007-08-31 02:58:20 EDT
Fixed in devel and f7, updated pushed.
Comment 4 Balint Cristian 2007-09-03 18:41:47 EDT
I try look/update to 4.10.3 ones tomorrow for Fedora / EPEL ones.
I hadn't chance to read ChangeLog or the issue, but its solvable i think.
Comment 5 Balint Cristian 2007-09-03 18:43:00 EDT
Lobo, BTW Oliver is not implied in GIS package maintainace only in the alpha 
port, i am only/lonely with the GIS/geography ones for RH/Fedora.
Comment 6 Lubomir Kundrak 2007-09-04 12:45:47 EDT
Cristian, Oliver volunteered to do the update while you were away.
https://admin.fedoraproject.org/updates/pending/F7/mapserver-4.10.3-2.fc7
Comment 7 Lubomir Kundrak 2007-09-04 12:49:28 EDT
The version bump also solves bug #272081
Comment 8 Fedora Update System 2007-09-04 18:14:11 EDT
mapserver-4.10.3-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.